<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <transfer-method-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <transfer-method-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import TransferMethodCategoryLeft from './modules/transferMethod/TransferMethodCategoryLeft'
import TransferMethodRight from './modules/transferMethod/TransferMethodRight'
export default {
  name: 'TransferMethodList',
  components: {
    TransferMethodCategoryLeft,
    TransferMethodRight,
  },
  data() {
    return {
      description: '增减方式',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>